summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_smbclient_s3.sh
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2009-10-17 20:46:22 -0700
committerJeremy Allison <jra@samba.org>2009-10-17 20:46:22 -0700
commit8d85757578a21ed93d7604d627e329ddf3e04067 (patch)
tree067072c7041e604476873995c106fa31ec1c3d35 /source3/script/tests/test_smbclient_s3.sh
parenta2aa13da3272b62b8d47d624a0d7fc65825adf6e (diff)
downloadsamba-8d85757578a21ed93d7604d627e329ddf3e04067.tar.gz
samba-8d85757578a21ed93d7604d627e329ddf3e04067.tar.bz2
samba-8d85757578a21ed93d7604d627e329ddf3e04067.zip
Fix posix_unlink test. Was doing grep without quotes around the
target string. Jeremy.
Diffstat (limited to 'source3/script/tests/test_smbclient_s3.sh')
-rwxr-xr-xsource3/script/tests/test_smbclient_s3.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index 3ff9597ceb..ff5022015f 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -113,14 +113,15 @@ EOF
return
fi
- echo "$out" | grep $prompt >/dev/null 2>&1
+ echo "$out" | grep "$prompt" >/dev/null 2>&1
- if [ $? = 0 ] ; then
+ ret=$?
+ if [ $ret = 0 ] ; then
# got the correct prompt .. succeed
true
else
echo "$out"
- echo failed create then delete bad symlink
+ echo "failed create then delete bad symlink - grep failed with $ret"
false
fi
}